With the release of Act! v19 last week, many customers are requesting to upgrade their database, and we understand why. The initial technical feedback from the community and our support team has been excellent, with over 200 known issues/bugs closed fixed with this release – including my personal favourite – spillover tables!

However, as much excitement as there has been with this upgrade, there are normal precautions we encourage everyone to consider before implementing an Act! upgrade, and they are follows:

Consider your software echo system
If you rely on Act! to integrate with MS Office, be sure to confirm your existing version of Office is compatible with Act! v19. For instance, one of the main features of v19 is its’ new compatibility with 64-bit versions of Office, but did you know it does NOT support Office 2007 – 32-bit or otherwise?

Also review your versions of SQL to ensure whether it will be supported with your new deployment. In most cases a straight upgrade is safe, but if you change the computer/server hosting Act! at the same time as the upgrade (which is not uncommon), you may not notice the fresh installation of Act! includes a newer of SQL than what was installed previously. This is significant because Act! requires the lowest version of SQL in a synchronizing Act! network be installed on the server, meaning if you upgrade your server to SQL2014, all remote stations with SQL2008 installed will no longer work properly.

This is not a disastrous outcome, and certainly one that is easy to fix, but it could cause delays in your deployment if you do not account for this.
 

Actcessorize with caution
If you use lots of Actcessories, like we do, you should confirm the vendors have provided updated support for the new version of Act!. We always encourage taking an inventory of add-on applications like Topline Designer, QuoteWerks, Knowtifier, etc., and confirming with each vendor that the Act! upgrade is supported by their products. In most cases it will be a quick yes, but in a lot of cases you’ll discover that a supported version won’t be released for a few weeks, or that there is an cost associated with the upgrade version.

Delays in supported releases and/or charging for such are not uncommon, but should factor into the timing and budget of your upgrade plans.


Remote Users
One of the beauties of Act! is supporting remote users with offline databases. It is important to account for the scheduling of local and remote users when planning an upgrade. Remote users should always be afforded the opportunity to complete one final sync before an upgrade is attempted in case their database upgrade fails. We’ve seen countless cases of RDB’s failing with a “schema update error” during upgrades that required a new remote database to be cut. Trouble is that all data added to the old remote database since its last sync would be lost under these circumstances.  

It should be noted that if the host database is upgrade before remote users have had a chance to sync, the remote users would not be able to sync again until they upgrade. This outcome is risky and worth avoiding.

 

Hosted Databases
If you host your database with a 3rd party (namely Keystroke, Swiftpage, or other providers), you need to consult your hosting provider in advance before initiating an upgrade. Doing so unilaterally will cut off your sync access to the hosted master database, and cause disruption and downtime as updates are made during production hours at the data centre.

 

Summary
In summary, enrolling in Act! subscription is both prudent and practicaly, as it ensure you ongoing compatibility and access to the latest features at the lowest possible cost. That said, with each upgrade comes change and new environmental factors to consider. If you’re a Keystroke customer we always recommend reviewing this checklist in advance of an upgrade, and having a VIP support plan in place in case technical difficulties arise.

This will reduce cost and delays, and get you up and running sooner.

 

2017-01-18 19:39:17
 
Comments List